GNU bug report logs - #24560
25.1; With `--font 7x13', wrong font is used for Unicode characters

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Vladimir Panteleev <thecybershadow@HIDDEN>; dated Wed, 28 Sep 2016 17:32:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 24560 <at> debbugs.gnu.org:


Received: (at 24560) by debbugs.gnu.org; 18 Nov 2019 09:19:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 18 04:19:30 2019
Received: from localhost ([127.0.0.1]:43153 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWdBx-0004Eb-VZ
	for submit <at> debbugs.gnu.org; Mon, 18 Nov 2019 04:19:30 -0500
Received: from quimby.gnus.org ([95.216.78.240]:33174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iWdBv-0004EL-J0
 for 24560 <at> debbugs.gnu.org; Mon, 18 Nov 2019 04:19:28 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iWdBn-0007YP-N0; Mon, 18 Nov 2019 10:19:22 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#24560: 25.1; With `--font 7x13', wrong font is used for
 Unicode characters
References: <87zims7zlk.fsf@HIDDEN> <87o8xbc6j2.fsf@HIDDEN>
 <CAHhfkvxoebh_dMic1qLEJ2tkiM-RK8GfY9CLxqRMSW2bbpvYhg@HIDDEN>
 <83h8325vql.fsf@HIDDEN> <875zji79lh.fsf@HIDDEN>
 <83eey65t4v.fsf@HIDDEN> <8736em5qrh.fsf@HIDDEN>
 <m24kz2p61f.fsf@HIDDEN>
Date: Mon, 18 Nov 2019 10:19:18 +0100
In-Reply-To: <m24kz2p61f.fsf@HIDDEN> (Robert Pluim's message of "Sun, 17
 Nov 2019 22:05:48 +0100")
Message-ID: <8736elsfs9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Robert Pluim <rpluim@HIDDEN> writes: > Not quite. If you
 configure '--with-xft=no --with-cairo' you'll get > HarfBuzz and freetype.
 Thanks. Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 24560
Cc: Eli Zaretskii <eliz@HIDDEN>, thecybershadow@HIDDEN,
 24560 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

> Not quite. If you configure '--with-xft=no --with-cairo' you'll get
> HarfBuzz and freetype.

Thanks.

I tried reproducing the 7x13 bug with that configuration, but I still
don't see the bug.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24560; Package emacs. Full text available.

Message received at 24560 <at> debbugs.gnu.org:


Received: (at 24560) by debbugs.gnu.org; 17 Nov 2019 21:05:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 16:05:58 2019
Received: from localhost ([127.0.0.1]:42783 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWRk6-0001mX-De
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 16:05:58 -0500
Received: from mail-wm1-f42.google.com ([209.85.128.42]:52160)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iWRk4-0001mI-LX
 for 24560 <at> debbugs.gnu.org; Sun, 17 Nov 2019 16:05:57 -0500
Received: by mail-wm1-f42.google.com with SMTP id q70so15260779wme.1
 for <24560 <at> debbugs.gnu.org>; Sun, 17 Nov 2019 13:05:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:mime-version;
 bh=GCURtV09Ug8Nt8r7aLbF22azL6twDxsShSjiZYpQEXk=;
 b=EmFBxPHRx6dXqMMHsBSn0ZxmDM/3ylOLMgHV/tAGS1T2i/lc+KhZKMN4/iwywUIKqy
 xMlW73EX3UbNtPyBv4yilplz1VbGRoOapXQx/vZhIPcbE8sKB4zG8i9LT46T8H4SBaZg
 g3NQLuPpdF1gYCOti+7nuSrxIAxLEpNieEgJMfGqgpMhMo7kYIqNzLOGJwJLf9m+0U3Z
 iRG+r5sVv8zNOkTLTAhW3F+yoRpaGhOBldrkbCExCUU2efrYMVMeEpWAe4K3/aoQmor/
 rTjI24wiw7d5h4lnqLFYZcuuVo51jmdgIQx2Q9ooyJn83EvWQ1crj1wczWyP8Lqi9k1M
 T4qA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version;
 bh=GCURtV09Ug8Nt8r7aLbF22azL6twDxsShSjiZYpQEXk=;
 b=T5tfgk8QAK8IP7IaGj0emDg+GGMYj2GIbe9HSuij5Ck1Vzt4JbqS7fzyAWNbStoxiY
 /TizTzZ4YdPaC1s8kWFzPQALFxziA8wALAxW6tMT6uTccw8NZUrAX1XX0ZHpeJm6U3ey
 cp+T5caIholJK+8J8Sp7sXio0BN63ePEnTXHSIjbDEtGWREDQQSaQU/rkSgWPosA3d/9
 IawRxbA0TnfE7M3zrpdH+WAjpSTiCxSedI+N4bLYQzjo+hqqrwhuH6Y85E3gEbyECwD4
 ZqQgp5kG2XCAOgY2z8LQwYklrDttxqurgVNZUDgiyMGEwU1hRWCNNmUNKGaUkSqLflwf
 QkSw==
X-Gm-Message-State: APjAAAX7rN9trKfLsHZ1GaLaNH0MuCaDnDFYwofopkFgAtTaqWAy3YvN
 7lEmmyOUrDBa56YJphvg1/c=
X-Google-Smtp-Source: APXvYqwYBfFKUXN5St6S2ZQ9dcLtkAYonKOrpJsBvqz9vSfVYosRpaIuJ7hK3dyR6fyx8xAeGCQOJw==
X-Received: by 2002:a1c:ed16:: with SMTP id l22mr25324684wmh.151.1574024749769; 
 Sun, 17 Nov 2019 13:05:49 -0800 (PST)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:e5ed:2be6:eb41:ad68])
 by smtp.gmail.com with ESMTPSA id 11sm17665231wmi.8.2019.11.17.13.05.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 17 Nov 2019 13:05:49 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#24560: 25.1; With `--font 7x13', wrong font is used for
 Unicode characters
References: <87zims7zlk.fsf@HIDDEN> <87o8xbc6j2.fsf@HIDDEN>
 <CAHhfkvxoebh_dMic1qLEJ2tkiM-RK8GfY9CLxqRMSW2bbpvYhg@HIDDEN>
 <83h8325vql.fsf@HIDDEN> <875zji79lh.fsf@HIDDEN>
 <83eey65t4v.fsf@HIDDEN> <8736em5qrh.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Sun, 17 Nov 2019 22:05:48 +0100
In-Reply-To: <8736em5qrh.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 17 Nov 2019 18:58:26 +0100")
Message-ID: <m24kz2p61f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 24560
Cc: Eli Zaretskii <eliz@HIDDEN>, thecybershadow@HIDDEN,
 24560 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Sun, 17 Nov 2019 18:58:26 +0100, Lars Ingebrigtsen <larsi@HIDDEN> said:
    Lars> So if somebody says explicitly --without-xft, then HAVE_XFT won't be
    Lars> "yes", and we set HAVE_FREETYPE to "no" without checking.  And harfbuzz
    Lars> depends on HAVE_FREETYPE being "yes", so harfbuzz depends on xft being
    Lars> available, too.

Not quite. If you configure '--with-xft=no --with-cairo' you'll get
HarfBuzz and freetype.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24560; Package emacs. Full text available.

Message received at 24560 <at> debbugs.gnu.org:


Received: (at 24560) by debbugs.gnu.org; 17 Nov 2019 19:05:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 14:05:26 2019
Received: from localhost ([127.0.0.1]:42668 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWPrS-0005Ob-Ie
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 14:05:26 -0500
Received: from quimby.gnus.org ([95.216.78.240]:52526)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iWPrR-0005OO-6U
 for 24560 <at> debbugs.gnu.org; Sun, 17 Nov 2019 14:05:25 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iWPrF-00012j-Q9; Sun, 17 Nov 2019 20:05:16 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#24560: 25.1; With `--font 7x13', wrong font is used for
 Unicode characters
References: <87zims7zlk.fsf@HIDDEN> <87o8xbc6j2.fsf@HIDDEN>
 <CAHhfkvxoebh_dMic1qLEJ2tkiM-RK8GfY9CLxqRMSW2bbpvYhg@HIDDEN>
 <83h8325vql.fsf@HIDDEN> <875zji79lh.fsf@HIDDEN>
 <83eey65t4v.fsf@HIDDEN>
Date: Sun, 17 Nov 2019 20:05:13 +0100
In-Reply-To: <83eey65t4v.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 17 Nov
 2019 19:07:12 +0200")
Message-ID: <87mucuuxw6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> One more detail. When
 inserting CENT SIGN, I get this warning: >> >> (emacs:29060): Gtk-CRITICAL
 **: 17:12:48.023: >> gtk_distribute_natural_allocation: assertion 'extra_space
 >= 0' >> failed >> >> [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 24560
Cc: 24560 <at> debbugs.gnu.org, thecybershadow@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> One more detail.  When inserting CENT SIGN, I get this warning:
>> 
>> (emacs:29060): Gtk-CRITICAL **: 17:12:48.023:
>> gtk_distribute_natural_allocation: assertion 'extra_space >= 0'
>> failed
>> 
>> If I use a different font, I don't get that warning.
>
> If someone knows, or cn find out, what this means, please tell.

There's something about the same warning in the PROBLEMS file, although
I can't see the frame changing size when inserting the CENT SIGN
character.

So perhaps it's a separate issue?

----

*** Emacs built with GTK+ toolkit can unexpectedly widen frames

This resizing takes place when a frame is not wide enough to accommodate
its entire menu bar.  Typically, it occurs when switching buffers or
changing a buffer's major mode and the new mode adds entries to the menu
bar.  The frame is then widened by the window manager so that the menu
bar is fully shown.  Subsequently switching to another buffer or
changing the buffer's mode will not shrink the frame back to its
previous width.  The height of the frame remains unaltered.  Apparently,
the failure is also dependent on the chosen font.

The resizing is usually accompanied by console output like

Gtk-CRITICAL **: gtk_distribute_natural_allocation: assertion 'extra_space >= 0' failed

It's not clear whether the GTK version used has any impact on the
occurrence of the failure.  So far, the failure has been observed with
GTK+ versions 3.4.2, 3.14.5 and 3.18.7.  However, another 3.4.2 build
does not exhibit the bug.


-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24560; Package emacs. Full text available.

Message received at 24560 <at> debbugs.gnu.org:


Received: (at 24560) by debbugs.gnu.org; 17 Nov 2019 18:34:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 13:34:05 2019
Received: from localhost ([127.0.0.1]:42594 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWPN6-0004aU-N5
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 13:34:05 -0500
Received: from quimby.gnus.org ([95.216.78.240]:52040)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iWPN1-0004Zw-Lg
 for 24560 <at> debbugs.gnu.org; Sun, 17 Nov 2019 13:34:03 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iWPMp-0000of-DS; Sun, 17 Nov 2019 19:33:51 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#24560: 25.1; With `--font 7x13', wrong font is used for
 Unicode characters
References: <87zims7zlk.fsf@HIDDEN> <87o8xbc6j2.fsf@HIDDEN>
 <CAHhfkvxoebh_dMic1qLEJ2tkiM-RK8GfY9CLxqRMSW2bbpvYhg@HIDDEN>
 <83h8325vql.fsf@HIDDEN> <875zji79lh.fsf@HIDDEN>
 <83eey65t4v.fsf@HIDDEN> <8736em5qrh.fsf@HIDDEN>
 <831ru65pik.fsf@HIDDEN>
Date: Sun, 17 Nov 2019 19:33:46 +0100
In-Reply-To: <831ru65pik.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 17 Nov
 2019 20:25:23 +0200")
Message-ID: <87pnhq4ak5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> From: Lars
 Ingebrigtsen
 <larsi@HIDDEN> >> Cc: thecybershadow@HIDDEN, 24560 <at> debbugs.gnu.org >>
 Date: Sun, 17 Nov 2019 18:58:26 +0100 >> >> So if somebody says explicitly
 --without-xft, then HAV [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 24560
Cc: 24560 <at> debbugs.gnu.org, thecybershadow@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Lars Ingebrigtsen <larsi@HIDDEN>
>> Cc: thecybershadow@HIDDEN,  24560 <at> debbugs.gnu.org
>> Date: Sun, 17 Nov 2019 18:58:26 +0100
>>=20
>> So if somebody says explicitly --without-xft, then HAVE_XFT won't be
>> "yes", and we set HAVE_FREETYPE to "no" without checking.  And harfbuzz
>> depends on HAVE_FREETYPE being "yes", so harfbuzz depends on xft being
>> available, too.
>>=20
>> Is this correct behaviour?
>
> Maybe I'm simply misremembering, and HarfBuzz does need xft.

I hacked the configure script to just say

diff --git a/configure.ac b/configure.ac
index 0976b665e6..d42f530407 100644
--- a/configure.ac
+++ b/configure.ac
@@ -3399,6 +3399,9 @@ AC_DEFUN
     fi
   fi				  # $HAVE_CAIRO !=3D yes
=20
+  EMACS_CHECK_MODULES([FREETYPE], [freetype2])
+  test "$HAVE_FREETYPE" =3D "no" && AC_MSG_ERROR(libxft requires libfreety=
pe)
+
   HAVE_LIBOTF=3Dno
   if test "${HAVE_FREETYPE}" =3D "yes"; then
     AC_DEFINE(HAVE_FREETYPE, 1,

to force

  Does Emacs use HarfBuzz?                                yes
  Does Emacs use -lm17n-flt?                              yes
  Does Emacs use -lotf?                                   yes
  Does Emacs use -lxft?                                   no

and compilation does indeed fail:

In file included from ftfont.c:46:
ftfont.h:77:3: error: unknown type name =E2=80=98XftFont=E2=80=99
   XftFont *xftfont;
   ^~~~~~~

>> In addition, I think the configure script should fail if you say
>> --with-harfbuzz and harfbuzz isn't available.
>
> Probably.

I've now added that, at least.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24560; Package emacs. Full text available.

Message received at 24560 <at> debbugs.gnu.org:


Received: (at 24560) by debbugs.gnu.org; 17 Nov 2019 18:25:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 13:25:36 2019
Received: from localhost ([127.0.0.1]:42569 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWPEu-0004MX-By
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 13:25:36 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36693)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iWPEr-0004MJ-1M
 for 24560 <at> debbugs.gnu.org; Sun, 17 Nov 2019 13:25:34 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38184)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iWPEl-0002tR-SE; Sun, 17 Nov 2019 13:25:27 -0500
Received: from [176.228.60.248] (port=4432 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iWPEi-0006Su-60; Sun, 17 Nov 2019 13:25:27 -0500
Date: Sun, 17 Nov 2019 20:25:23 +0200
Message-Id: <831ru65pik.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <8736em5qrh.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 17 Nov 2019 18:58:26 +0100)
Subject: Re: bug#24560: 25.1; With `--font 7x13', wrong font is used for
 Unicode characters
References: <87zims7zlk.fsf@HIDDEN> <87o8xbc6j2.fsf@HIDDEN>
 <CAHhfkvxoebh_dMic1qLEJ2tkiM-RK8GfY9CLxqRMSW2bbpvYhg@HIDDEN>
 <83h8325vql.fsf@HIDDEN> <875zji79lh.fsf@HIDDEN>
 <83eey65t4v.fsf@HIDDEN> <8736em5qrh.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 24560
Cc: 24560 <at> debbugs.gnu.org, thecybershadow@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: thecybershadow@HIDDEN,  24560 <at> debbugs.gnu.org
> Date: Sun, 17 Nov 2019 18:58:26 +0100
> 
> So if somebody says explicitly --without-xft, then HAVE_XFT won't be
> "yes", and we set HAVE_FREETYPE to "no" without checking.  And harfbuzz
> depends on HAVE_FREETYPE being "yes", so harfbuzz depends on xft being
> available, too.
> 
> Is this correct behaviour?

Maybe I'm simply misremembering, and HarfBuzz does need xft.

> In addition, I think the configure script should fail if you say
> --with-harfbuzz and harfbuzz isn't available.

Probably.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24560; Package emacs. Full text available.

Message received at 24560 <at> debbugs.gnu.org:


Received: (at 24560) by debbugs.gnu.org; 17 Nov 2019 17:58:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 12:58:40 2019
Received: from localhost ([127.0.0.1]:42535 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWOoq-0003gr-K2
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 12:58:40 -0500
Received: from quimby.gnus.org ([95.216.78.240]:51646)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iWOom-0003gb-Ng
 for 24560 <at> debbugs.gnu.org; Sun, 17 Nov 2019 12:58:38 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iWOod-0000VO-K1; Sun, 17 Nov 2019 18:58:30 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#24560: 25.1; With `--font 7x13', wrong font is used for
 Unicode characters
References: <87zims7zlk.fsf@HIDDEN> <87o8xbc6j2.fsf@HIDDEN>
 <CAHhfkvxoebh_dMic1qLEJ2tkiM-RK8GfY9CLxqRMSW2bbpvYhg@HIDDEN>
 <83h8325vql.fsf@HIDDEN> <875zji79lh.fsf@HIDDEN>
 <83eey65t4v.fsf@HIDDEN>
Date: Sun, 17 Nov 2019 18:58:26 +0100
In-Reply-To: <83eey65t4v.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 17 Nov
 2019 19:07:12 +0200")
Message-ID: <8736em5qrh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: >> Sounds like a bug
 in the autoconfig stuff. > > Yes. The logic is a bit confused. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 24560
Cc: 24560 <at> debbugs.gnu.org, thecybershadow@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Sounds like a bug in the autoconfig stuff.
>
> Yes.

The logic is a bit confused.

    if test "x${with_xft}" != "xno"; then
      EMACS_CHECK_MODULES([XFT], [xft >= 0.13.0], [], [HAVE_XFT=no])

[...]

    if test "$HAVE_XFT" != "yes"; then
       dnl For the "Does Emacs use" message at the end.
       HAVE_XFT=no
       HAVE_FREETYPE=no
    else
       dnl Strict linkers fail with
       dnl ftfont.o: undefined reference to symbol 'FT_New_Face'
       dnl if -lfreetype is not specified.
       dnl The following is needed to set FREETYPE_LIBS.
       EMACS_CHECK_MODULES([FREETYPE], [freetype2])

       test "$HAVE_FREETYPE" = "no" && AC_MSG_ERROR(libxft requires libfreetype)
    fi
  fi				  # $HAVE_CAIRO != yes

So if somebody says explicitly --without-xft, then HAVE_XFT won't be
"yes", and we set HAVE_FREETYPE to "no" without checking.  And harfbuzz
depends on HAVE_FREETYPE being "yes", so harfbuzz depends on xft being
available, too.

Is this correct behaviour?

In addition, I think the configure script should fail if you say
--with-harfbuzz and harfbuzz isn't available.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24560; Package emacs. Full text available.

Message received at 24560 <at> debbugs.gnu.org:


Received: (at 24560) by debbugs.gnu.org; 17 Nov 2019 17:10:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 12:10:00 2019
Received: from localhost ([127.0.0.1]:42501 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWO3k-0000Zb-Ja
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 12:10:00 -0500
Received: from quimby.gnus.org ([95.216.78.240]:51176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iWO3j-0000ZP-5n
 for 24560 <at> debbugs.gnu.org; Sun, 17 Nov 2019 12:09:59 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iWO3b-0000D9-8T; Sun, 17 Nov 2019 18:09:53 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#24560: 25.1; With `--font 7x13', wrong font is used for
 Unicode characters
References: <87zims7zlk.fsf@HIDDEN> <87o8xbc6j2.fsf@HIDDEN>
 <CAHhfkvxoebh_dMic1qLEJ2tkiM-RK8GfY9CLxqRMSW2bbpvYhg@HIDDEN>
 <83h8325vql.fsf@HIDDEN> <875zji79lh.fsf@HIDDEN>
 <83eey65t4v.fsf@HIDDEN>
Date: Sun, 17 Nov 2019 18:09:50 +0100
In-Reply-To: <83eey65t4v.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 17 Nov
 2019 19:07:12 +0200")
Message-ID: <87h8325t0h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: >> Anyway, I get the
 same result there: > > Same as what? Same result with an xft Emacs as with
 a harfbuzz Emacs (i.e., I can't reproduce the bug with the 7x13 font on my
 Debian "buster" system). 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 24560
Cc: 24560 <at> debbugs.gnu.org, thecybershadow@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Anyway, I get the same result there:
>
> Same as what?

Same result with an xft Emacs as with a harfbuzz Emacs (i.e., I can't
reproduce the bug with the 7x13 font on my Debian "buster" system).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24560; Package emacs. Full text available.

Message received at 24560 <at> debbugs.gnu.org:


Received: (at 24560) by debbugs.gnu.org; 17 Nov 2019 17:07:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 12:07:20 2019
Received: from localhost ([127.0.0.1]:42495 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWO1A-0000Vo-31
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 12:07:20 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56954)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iWO18-0000Va-Lo
 for 24560 <at> debbugs.gnu.org; Sun, 17 Nov 2019 12:07:18 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36347)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iWO13-0005m4-1a; Sun, 17 Nov 2019 12:07:13 -0500
Received: from [176.228.60.248] (port=3610 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iWO12-0001ZN-DP; Sun, 17 Nov 2019 12:07:12 -0500
Date: Sun, 17 Nov 2019 19:07:12 +0200
Message-Id: <83eey65t4v.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <875zji79lh.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 17 Nov 2019 17:26:18 +0100)
Subject: Re: bug#24560: 25.1; With `--font 7x13', wrong font is used for
 Unicode characters
References: <87zims7zlk.fsf@HIDDEN> <87o8xbc6j2.fsf@HIDDEN>
 <CAHhfkvxoebh_dMic1qLEJ2tkiM-RK8GfY9CLxqRMSW2bbpvYhg@HIDDEN>
 <83h8325vql.fsf@HIDDEN> <875zji79lh.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 24560
Cc: 24560 <at> debbugs.gnu.org, thecybershadow@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Vladimir Panteleev <thecybershadow@HIDDEN>,  24560 <at> debbugs.gnu.org
> Date: Sun, 17 Nov 2019 17:26:18 +0100
> 
> I wonder why I can't reproduce it.  Hm.  The xft/harfbuzz thing
> shouldn't interfere here, should it?  That's a bitfont?

AFAIK, HarfBuzz can use any font at all.  But I don't think it matters
here, because we don't call HarfBuzz functions for "simple" characters.

> ./configure --without-xft --with-harfbuzz
> 
> ...
> 
> Hang on, the latter gives me
> 
>   Does Emacs use HarfBuzz?                                no
> 
> but just ./configure gives me
> 
>   Does Emacs use HarfBuzz?                                yes
> 
> Sounds like a bug in the autoconfig stuff.

Yes.

> Anyway, I get the same result there:

Same as what?

> One more detail.  When inserting CENT SIGN, I get this warning:
> 
> (emacs:29060): Gtk-CRITICAL **: 17:12:48.023: gtk_distribute_natural_allocation: assertion 'extra_space >= 0' failed
> 
> If I use a different font, I don't get that warning.

If someone knows, or cn find out, what this means, please tell.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24560; Package emacs. Full text available.

Message received at 24560 <at> debbugs.gnu.org:


Received: (at 24560) by debbugs.gnu.org; 17 Nov 2019 16:26:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 11:26:33 2019
Received: from localhost ([127.0.0.1]:42463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWNNg-0005zx-QX
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 11:26:33 -0500
Received: from quimby.gnus.org ([95.216.78.240]:50602)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iWNNe-0005zZ-Kl
 for 24560 <at> debbugs.gnu.org; Sun, 17 Nov 2019 11:26:31 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iWNNT-0008KT-0r; Sun, 17 Nov 2019 17:26:22 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#24560: 25.1; With `--font 7x13', wrong font is used for
 Unicode characters
References: <87zims7zlk.fsf@HIDDEN> <87o8xbc6j2.fsf@HIDDEN>
 <CAHhfkvxoebh_dMic1qLEJ2tkiM-RK8GfY9CLxqRMSW2bbpvYhg@HIDDEN>
 <83h8325vql.fsf@HIDDEN>
Date: Sun, 17 Nov 2019 17:26:18 +0100
In-Reply-To: <83h8325vql.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 17 Nov
 2019 18:10:58 +0200")
Message-ID: <875zji79lh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > It sounds like
 something
 is wrong with the 7x13 font or with how Emacs > handles these fonts, because
 there are several bug reports that > basically say the same thing. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 24560
Cc: 24560 <at> debbugs.gnu.org, Vladimir Panteleev <thecybershadow@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

> It sounds like something is wrong with the 7x13 font or with how Emacs
> handles these fonts, because there are several bug reports that
> basically say the same thing.

I wonder why I can't reproduce it.  Hm.  The xft/harfbuzz thing
shouldn't interfere here, should it?  That's a bitfont?

I tried 

./configure --with-xft --without-harfbuzz

and the CENT SIGN was of the same size as the ASCII characters, and

./configure --without-xft --with-harfbuzz

...

Hang on, the latter gives me

  Does Emacs use HarfBuzz?                                no

but just ./configure gives me

  Does Emacs use HarfBuzz?                                yes

Sounds like a bug in the autoconfig stuff.

Anyway, I get the same result there:


--=-=-=
Content-Type: image/jpeg
Content-Disposition: inline; filename=screen6xpL9A.jpg
Content-Transfer-Encoding: base64

/9j/4AAQSkZJRgABAQAAAQABAAD/2wBDAAUDBAQEAwUEBAQFBQUGBwwIBwcHBw8LCwkMEQ8SEhEP
ERETFhwXExQaFRERGCEYGh0dHx8fExciJCIeJBweHx7/wAALCAAcAE0BAREA/8QAGwABAQACAwEA
AAAAAAAAAAAAAAQFBgIDBwj/xAArEAACAQMDBAIBBAMBAAAAAAABAgMEBQYAERIHExQhFTEjIkNR
gRYYQUL/2gAIAQEAAD8A+wbf+5/WqtNNNNNNNNed9c6SlrehOfQ1lNDUxLj9ZKqSxh1Dxwu6OAf/
AErqrA/YKgj2Nceq2YZFZ640eKJDLLb6H5C8NNb4Zo6WncuIpGeaupFRT2KjfYybBN24Djziq7lS
5XJ0VzR7ZDTVdxrjUxA7SSUyVFlrJXiEmwJXdU32ADFFJHobR5D1NyK25lRzU1FDVYjWZBBYYZpK
OGBpKhpxSyqkzVvddo5VmbYUn6hEwB4fmGL6d/K/7GZL8v8A5N8t40fd48vB8LzLp4/Pn+Hh2fC4
9n8nc7n/AHzNbalTZsa6tdQMhrFhoaSHFrTcLlURw7swjkuYaRwoLOwjiUfROyKB9Aai6dZzmFV1
GOF5na4aWrmtEt0hIpqelkjSOaKL3HFXVZZXMp2ZjGAYmA7m54R4ncpMV6TfG4tRwxXGoym9W+y0
MNAksZKXOtkMaxmaCNVWCGUjeWMAJ65HijbN0azC55dab0t6pYYLjZLvJa6kxCNVd1iikO6RzzrG
y93tlRNId4yTxJKJvOsFdMesGS0Pg5HY7ZeaSOVZUgr6RKiNXAYBwrggNszDf72J/nXCPB8LjhtU
KYjj6xWaVpbWgtsIWhdnDs8I4/jYuAxK7EkA/eum69PMBuvifKYPjNf4dMlJS+TaoJOxAm/CJOSn
ii7nZRsBudhq2TEsWkvk99kxqyvdqjt9+uahiNRL22R4+UnHkeLRRMu59GNCPajbM61+iwfC6LIm
yOjxHH6a9NLJK1xitsKVJeTcO5lC8uTcm3O+55Hf70tuD4XbKGahtuI4/RUk0U0MsFPbYY45EmCC
ZWVVAKuIowwPphGu+/Ea6aTp5gNHa6610mD4zT0Fw7fm0sVqgWKp7bco+4gXZ+LEkbg7H2NZm0Wm
1WenNPaLZRW+FuG8dLAsSnhGkSelAH6Y440H8KigegBq3Utv/c/rVWmmmmmmmmv/2Q==
--=-=-=
Content-Type: text/plain


One more detail.  When inserting CENT SIGN, I get this warning:

(emacs:29060): Gtk-CRITICAL **: 17:12:48.023: gtk_distribute_natural_allocation: assertion 'extra_space >= 0' failed

If I use a different font, I don't get that warning.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24560; Package emacs. Full text available.

Message received at 24560 <at> debbugs.gnu.org:


Received: (at 24560) by debbugs.gnu.org; 17 Nov 2019 16:11:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 11:11:04 2019
Received: from localhost ([127.0.0.1]:42439 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWN8i-0003ef-Ii
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 11:11:04 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52476)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iWN8g-0003eA-Jy
 for 24560 <at> debbugs.gnu.org; Sun, 17 Nov 2019 11:11:02 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35575)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iWN8b-0004I9-GA; Sun, 17 Nov 2019 11:10:57 -0500
Received: from [176.228.60.248] (port=4160 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iWN8a-000126-Vz; Sun, 17 Nov 2019 11:10:57 -0500
Date: Sun, 17 Nov 2019 18:10:58 +0200
Message-Id: <83h8325vql.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Vladimir Panteleev <thecybershadow@HIDDEN>
In-reply-to: <CAHhfkvxoebh_dMic1qLEJ2tkiM-RK8GfY9CLxqRMSW2bbpvYhg@HIDDEN>
 (message from Vladimir Panteleev on Sun, 17 Nov 2019 13:10:27 +0000)
Subject: Re: bug#24560: 25.1;
 With `--font 7x13', wrong font is used for Unicode characters
References: <87zims7zlk.fsf@HIDDEN> <87o8xbc6j2.fsf@HIDDEN>
 <CAHhfkvxoebh_dMic1qLEJ2tkiM-RK8GfY9CLxqRMSW2bbpvYhg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 24560
Cc: larsi@HIDDEN, 24560 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Vladimir Panteleev <thecybershadow@HIDDEN>
> Date: Sun, 17 Nov 2019 13:10:27 +0000
> Cc: 24560 <at> debbugs.gnu.org
> 
> On Sun, 17 Nov 2019 at 07:21, Lars Ingebrigtsen <larsi@HIDDEN> wrote:
> 
>  Are you still seeing this problem in modern versions of Emacs?
> 
> Yes:

It sounds like something is wrong with the 7x13 font or with how Emacs
handles these fonts, because there are several bug reports that
basically say the same thing.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24560; Package emacs. Full text available.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24560 <at> debbugs.gnu.org:


Received: (at 24560) by debbugs.gnu.org; 17 Nov 2019 13:10:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 08:10:53 2019
Received: from localhost ([127.0.0.1]:40458 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWKKK-0005Mn-S6
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 08:10:53 -0500
Received: from mail-lj1-f172.google.com ([209.85.208.172]:45898)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thecybershadow@HIDDEN>) id 1iWKKI-0005MY-6t
 for 24560 <at> debbugs.gnu.org; Sun, 17 Nov 2019 08:10:51 -0500
Received: by mail-lj1-f172.google.com with SMTP id n21so15643483ljg.12
 for <24560 <at> debbugs.gnu.org>; Sun, 17 Nov 2019 05:10:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=/+etIePJ1hFt4pnkXOUeO5rfsFFtm4l36QgfZ3PKxX0=;
 b=Vdl9HElMnWkTnvfT2elkry7A7Ex8HhE2ZKfPa6DrdwqL3RZo+shNPn7g2fXHw2zUNR
 tjEsD8rfrvZSNwMEl+Hljx5JDy6BEHbilU5uarAAolAXzF5JYVenY8XTuoCgRlPFBW2m
 VDLbX9sW9oPtBKHx/atcQQUXq16htsm1BeL5XRgrV31n3EvBAKASjpgCUvKIuluB4VJy
 tp6JCqJ4O/a3DmgTt/CNWNm7ELgKNYM1XOL/6LcS7vLP2a7IXP3Zow7f7ZQFaYymWLGO
 CPucCh+I1/qtKlmlhjfL+RN7yhlieGEqiPbBnI/KxH5Gr2hiDEvCJVcO7Kv9cPUrn4vh
 BWNQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=/+etIePJ1hFt4pnkXOUeO5rfsFFtm4l36QgfZ3PKxX0=;
 b=gXfcgwV3p0/Vt+0oGIt79+qsW08YGCJdrnJGtHR7vgKsoeJWEhH2Fc+B/+6zb5jqfg
 NAJSqiA+A11XGkQzg4vXxIYp8XRS6HuIBVhSz5tAsm5L4EAPep8rknR6tTk2OgyuVNEm
 3DnGtVg/jycFCF13v00Fo/rTITVsIV39VEZg/nxS4OlRtIyFVHnaJJ8RnItwnb6FdxO+
 NrvfUtaK6RAJIQDHc0Mws1ntKdElrWrVwo1v2J+v6F1Yr04imexLAg/EsIN0M+tEa4RZ
 Qz7tjsBeyF/geJQVvPkaocEzGkbyISmixsfkRFb4fN7YmXAk8db2lYnfyHzulD16WFA2
 MJSw==
X-Gm-Message-State: APjAAAW/xMc8diX5bLw4WitzwIMoWoZ9f89BSl3N8dHFSPxlsxvsAtho
 dwK4tmcF0XWYfVN+xinixt4i/xdqwu30bFOUcIk=
X-Google-Smtp-Source: APXvYqz+Uh5BDZWslsyPShrQMRU7bgw6HTyXTX7K6qKhbDosdzZsioQtU3FVttuEino4mBikXJYVlgr+mamCpr3BKcc=
X-Received: by 2002:a05:651c:313:: with SMTP id
 a19mr17445481ljp.199.1573996244029; 
 Sun, 17 Nov 2019 05:10:44 -0800 (PST)
MIME-Version: 1.0
References: <87zims7zlk.fsf@HIDDEN> <87o8xbc6j2.fsf@HIDDEN>
In-Reply-To: <87o8xbc6j2.fsf@HIDDEN>
From: Vladimir Panteleev <thecybershadow@HIDDEN>
Date: Sun, 17 Nov 2019 13:10:27 +0000
Message-ID: <CAHhfkvxoebh_dMic1qLEJ2tkiM-RK8GfY9CLxqRMSW2bbpvYhg@HIDDEN>
Subject: Re: bug#24560: 25.1; With `--font 7x13', wrong font is used for
 Unicode characters
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000000d69a05978a8f53"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 24560
Cc: 24560 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000000d69a05978a8f53
Content-Type: text/plain; charset="UTF-8"

On Sun, 17 Nov 2019 at 07:21, Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Are you still seeing this problem in modern versions of Emacs?
>

Yes:

https://dump.v.panteleev.md/35de394ba1a41d8512a94d938abb6458/2019-11-17%2013%3A07%3A35.mp4

Emacs 26.3 on Arch Linux x86_64.

--00000000000000d69a05978a8f53
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div class=3D"gmail_quote"><div dir=3D"lt=
r" class=3D"gmail_attr">On Sun, 17 Nov 2019 at 07:21, Lars Ingebrigtsen &lt=
;<a href=3D"mailto:larsi@HIDDEN">larsi@HIDDEN</a>&gt; wrote:<br></div><=
blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-l=
eft:1px solid rgb(204,204,204);padding-left:1ex">Are you still seeing this =
problem in modern versions of Emacs?<br></blockquote><div><br></div><div>Ye=
s:</div><div><br></div><div><a href=3D"https://dump.v.panteleev.md/35de394b=
a1a41d8512a94d938abb6458/2019-11-17%2013%3A07%3A35.mp4">https://dump.v.pant=
eleev.md/35de394ba1a41d8512a94d938abb6458/2019-11-17%2013%3A07%3A35.mp4</a>=
</div><div><br></div><div>Emacs 26.3 on Arch Linux x86_64.<br></div></div><=
/div></div>

--00000000000000d69a05978a8f53--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24560; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24560 <at> debbugs.gnu.org:


Received: (at 24560) by debbugs.gnu.org; 17 Nov 2019 07:21:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 02:21:32 2019
Received: from localhost ([127.0.0.1]:40107 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWEsF-0004ud-Pi
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 02:21:31 -0500
Received: from quimby.gnus.org ([95.216.78.240]:43636)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iWEsE-0004uO-IK
 for 24560 <at> debbugs.gnu.org; Sun, 17 Nov 2019 02:21:30 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iWEs6-0004R9-Nh; Sun, 17 Nov 2019 08:21:25 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Vladimir Panteleev <thecybershadow@HIDDEN>
Subject: Re: bug#24560: 25.1; With `--font 7x13', wrong font is used for
 Unicode characters
References: <87zims7zlk.fsf@HIDDEN>
Date: Sun, 17 Nov 2019 08:21:21 +0100
In-Reply-To: <87zims7zlk.fsf@HIDDEN> (Vladimir Panteleev's
 message of "Wed, 28 Sep 2016 16:34:15 +0000")
Message-ID: <87o8xbc6j2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Vladimir Panteleev <thecybershadow@HIDDEN> writes: > On
 a GNU/Linux system running X.Org, if Emacs is set to use the X11 > fixed
 font 7x13 (e.g. by specifying `--font 7x13' on the command line), > Emacs
 will use the incorrect font for Unicode (non-ASC [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 24560
Cc: 24560 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Vladimir Panteleev <thecybershadow@HIDDEN> writes:

> On a GNU/Linux system running X.Org, if Emacs is set to use the X11
> fixed font 7x13 (e.g. by specifying `--font 7x13' on the command line),
> Emacs will use the incorrect font for Unicode (non-ASCII)
> characters. Specifically:
>
> - US-ASCII characters are rendered using the correct font.
>
> - Cyrillic (e.g. letters of the Russian alphabet) and some other
>   characters (e.g. '=C2=A2' (CENT SIGN)) are rendered with the 12x13 font
>   instead of the indicated 7x13 font.

I tried this in Debian with Emacs 26 and 27, and inserted a CENT SIGN,
and it was displayed correctly:

    x:-misc-fixed-medium-r-normal--13-120-75-75-c-80-iso8859-1 (#xA2)

(which is the same as all the other characters).

Are you still seeing this problem in modern versions of Emacs?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24560; Package emacs. Full text available.

Message received at 24560 <at> debbugs.gnu.org:


Received: (at 24560) by debbugs.gnu.org; 18 Nov 2016 08:48:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 03:48:36 2016
Received: from localhost ([127.0.0.1]:33058 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c7eqa-0001BZ-H7
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2016 03:48:36 -0500
Received: from eggs.gnu.org ([208.118.235.92]:58883)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1c7eqZ-0001BL-LF
 for 24560 <at> debbugs.gnu.org; Fri, 18 Nov 2016 03:48:36 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1c7eqT-00018Q-BA
 for 24560 <at> debbugs.gnu.org; Fri, 18 Nov 2016 03:48:30 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.1 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60939)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1c7eqM-00012M-4q; Fri, 18 Nov 2016 03:48:22 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2290
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1c7eqL-0004iF-3K; Fri, 18 Nov 2016 03:48:21 -0500
Date: Fri, 18 Nov 2016 10:48:25 +0200
Message-Id: <8360nldvhi.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: handa@HIDDEN
In-reply-to: <83shrx1z4u.fsf@HIDDEN> (message from Eli Zaretskii on Sat, 15
 Oct 2016 17:10:41 +0300)
Subject: Re: bug#24560: 25.1;
 With `--font 7x13', wrong font is used for Unicode characters
References: <87zims7zlk.fsf@HIDDEN> <83shsjok4l.fsf@HIDDEN>
 <6d2acac2-1134-9182-34c1-b76448872e0b@HIDDEN>
 <837f9uoh9e.fsf@HIDDEN> <83y41zgfah.fsf@HIDDEN> <83shrx1z4u.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.9 (-------)
X-Debbugs-Envelope-To: 24560
Cc: 24560 <at> debbugs.gnu.org, thecybershadow@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.9 (-------)

Ping!  Ping!

> Date: Sat, 15 Oct 2016 17:10:41 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 24560 <at> debbugs.gnu.org, thecybershadow@HIDDEN
> 
> Ping!  Ping!
> 
> Kenichi, could you please comment on this issue?
> 
> > Date: Sat, 08 Oct 2016 16:07:34 +0300
> > From: Eli Zaretskii <eliz@HIDDEN>
> > Cc: 24560 <at> debbugs.gnu.org, thecybershadow@HIDDEN
> > 
> > Ping!
> > 
> > > Date: Thu, 29 Sep 2016 18:30:37 +0300
> > > From: Eli Zaretskii <eliz@HIDDEN>
> > > Cc: 24560 <at> debbugs.gnu.org
> > > 
> > > Adding Handa-san to this discussion, in the hope that he could shed
> > > some light on this issue.
> > > 
> > > > From: Vladimir Panteleev <thecybershadow@HIDDEN>
> > > > Cc: 24560 <at> debbugs.gnu.org
> > > > Date: Wed, 28 Sep 2016 21:58:20 +0000
> > > > 
> > > > On 2016-09-28 20:16, Eli Zaretskii wrote:
> > > > > Are you sure the 7x13 font installed on your system supports all those
> > > > > characters?  Emacs won't switch to a different font if the default
> > > > > font supports the character it needs to display.
> > > > 
> > > > As I mentioned in my bug report and as is visible in the screenshots,
> > > > the characters are indeed present in the font and are rendered correctly
> > > > in other applications. Only Emacs exhibits this problem.
> > > > 
> > > > > Or could it be that some customizations, either yours or site-wide,
> > > > > force Emacs to use other fonts for the above characters?
> > > > 
> > > > This problem is reproducible with "emacs -Q", without any
> > > > customizations, on all distributions I've tried.
> > > 
> > > Then I guess there's some factor at work here that I don't quite
> > > figure out.  Maybe the Emacs font selection algorithm doesn't like
> > > that font for some reason?
> > > 
> > > If you start Emacs with 12x13 font or 8x13, does Emacs display more
> > > characters than 7x13 before it switches to another font?
> > > 
> > > > Here is a complete recipe using a live CD, to remove any possibility of
> > > > user or site customization:
> > > > 
> > > > 1. Get the Antergos live ISO (
> > > > https://antergos.com/download/antergos-live-iso/ ) and boot from it
> > > > (e.g. in a VM).
> > > > 2. Choose "Start Antergos live".
> > > > 3. Choose "Try It".
> > > > 4. Install Emacs and urxvt (in a terminal, run "pacman -S emacs
> > > > rxvt-unicode").
> > > > 5. Run "emacs -Q --font 7x13".
> > > > 6. M-x view-hello-file
> > > > 7. Observe that Cyrillic characters are rendered in a 12x13 font.
> > > > 8. Run "urxvt -fn 7x13".
> > > > 9. Copy some Cyrillic characters from Emacs and paste them in urxvt.
> > > > 10. Observe that urxvt renders the Cyrillic characters correctly, in the
> > > > correct font.
> > > > 
> > > > This is not specific to Arch / Antegros: The problem is also
> > > > reproducible on Ubuntu and Fedora Workstation Live CDs, though you may
> > > > have to also install some font packages (xorg-x11-fonts-misc for
> > > > Fedora), and Emacs uses the 8x13 font for Cyrillic characters (so the
> > > > problem is less obvious). urxvt still uses the correct font there.
> > > > 
> > > > >> I have found that evaluating the Sexpr:
> > > > >>
> > > > >> (set-fontset-font "fontset-default" 'unicode "-misc-fixed-*-*-*--13-*-*-*-*-70-iso10646-1")
> > > > >>
> > > > > 
> > > > > Don't do that, this setting will cause all kinds of surprises.  To
> > > > > customize the fonts, use specific character codepoint ranges, and only
> > > > > specify font for a range if the font support most or all of that
> > > > > range.
> > > > 
> > > > Noted. However, immediately lacking a better concrete workaround, I
> > > > don't have a better option at my disposal.
> > > 
> > > Hopefully, Handa-san will have some advice here.
> > 
> > 
> > 
> > 
> 
> 
> 
> 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24560; Package emacs. Full text available.

Message received at 24560 <at> debbugs.gnu.org:


Received: (at 24560) by debbugs.gnu.org; 15 Oct 2016 14:11:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 15 10:11:01 2016
Received: from localhost ([127.0.0.1]:60027 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bvPfw-0000tz-Tv
	for submit <at> debbugs.gnu.org; Sat, 15 Oct 2016 10:11:01 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57534)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bvPfv-0000tc-2S
 for 24560 <at> debbugs.gnu.org; Sat, 15 Oct 2016 10:10:59 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bvPfo-0004lL-Ro
 for 24560 <at> debbugs.gnu.org; Sat, 15 Oct 2016 10:10:53 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.4 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:46264)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bvPfi-0004jj-Am; Sat, 15 Oct 2016 10:10:46 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4595
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bvPfg-0006os-C9; Sat, 15 Oct 2016 10:10:44 -0400
Date: Sat, 15 Oct 2016 17:10:41 +0300
Message-Id: <83shrx1z4u.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Kenichi Handa <handa@HIDDEN>
In-reply-to: <83y41zgfah.fsf@HIDDEN> (message from Eli Zaretskii on Sat, 08
 Oct 2016 16:07:34 +0300)
Subject: Re: bug#24560: 25.1;
 With `--font 7x13', wrong font is used for Unicode characters
References: <87zims7zlk.fsf@HIDDEN> <83shsjok4l.fsf@HIDDEN>
 <6d2acac2-1134-9182-34c1-b76448872e0b@HIDDEN>
 <837f9uoh9e.fsf@HIDDEN> <83y41zgfah.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: 24560
Cc: 24560 <at> debbugs.gnu.org, thecybershadow@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)

Ping!  Ping!

Kenichi, could you please comment on this issue?

> Date: Sat, 08 Oct 2016 16:07:34 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 24560 <at> debbugs.gnu.org, thecybershadow@HIDDEN
> 
> Ping!
> 
> > Date: Thu, 29 Sep 2016 18:30:37 +0300
> > From: Eli Zaretskii <eliz@HIDDEN>
> > Cc: 24560 <at> debbugs.gnu.org
> > 
> > Adding Handa-san to this discussion, in the hope that he could shed
> > some light on this issue.
> > 
> > > From: Vladimir Panteleev <thecybershadow@HIDDEN>
> > > Cc: 24560 <at> debbugs.gnu.org
> > > Date: Wed, 28 Sep 2016 21:58:20 +0000
> > > 
> > > On 2016-09-28 20:16, Eli Zaretskii wrote:
> > > > Are you sure the 7x13 font installed on your system supports all those
> > > > characters?  Emacs won't switch to a different font if the default
> > > > font supports the character it needs to display.
> > > 
> > > As I mentioned in my bug report and as is visible in the screenshots,
> > > the characters are indeed present in the font and are rendered correctly
> > > in other applications. Only Emacs exhibits this problem.
> > > 
> > > > Or could it be that some customizations, either yours or site-wide,
> > > > force Emacs to use other fonts for the above characters?
> > > 
> > > This problem is reproducible with "emacs -Q", without any
> > > customizations, on all distributions I've tried.
> > 
> > Then I guess there's some factor at work here that I don't quite
> > figure out.  Maybe the Emacs font selection algorithm doesn't like
> > that font for some reason?
> > 
> > If you start Emacs with 12x13 font or 8x13, does Emacs display more
> > characters than 7x13 before it switches to another font?
> > 
> > > Here is a complete recipe using a live CD, to remove any possibility of
> > > user or site customization:
> > > 
> > > 1. Get the Antergos live ISO (
> > > https://antergos.com/download/antergos-live-iso/ ) and boot from it
> > > (e.g. in a VM).
> > > 2. Choose "Start Antergos live".
> > > 3. Choose "Try It".
> > > 4. Install Emacs and urxvt (in a terminal, run "pacman -S emacs
> > > rxvt-unicode").
> > > 5. Run "emacs -Q --font 7x13".
> > > 6. M-x view-hello-file
> > > 7. Observe that Cyrillic characters are rendered in a 12x13 font.
> > > 8. Run "urxvt -fn 7x13".
> > > 9. Copy some Cyrillic characters from Emacs and paste them in urxvt.
> > > 10. Observe that urxvt renders the Cyrillic characters correctly, in the
> > > correct font.
> > > 
> > > This is not specific to Arch / Antegros: The problem is also
> > > reproducible on Ubuntu and Fedora Workstation Live CDs, though you may
> > > have to also install some font packages (xorg-x11-fonts-misc for
> > > Fedora), and Emacs uses the 8x13 font for Cyrillic characters (so the
> > > problem is less obvious). urxvt still uses the correct font there.
> > > 
> > > >> I have found that evaluating the Sexpr:
> > > >>
> > > >> (set-fontset-font "fontset-default" 'unicode "-misc-fixed-*-*-*--13-*-*-*-*-70-iso10646-1")
> > > >>
> > > > 
> > > > Don't do that, this setting will cause all kinds of surprises.  To
> > > > customize the fonts, use specific character codepoint ranges, and only
> > > > specify font for a range if the font support most or all of that
> > > > range.
> > > 
> > > Noted. However, immediately lacking a better concrete workaround, I
> > > don't have a better option at my disposal.
> > 
> > Hopefully, Handa-san will have some advice here.
> 
> 
> 
> 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24560; Package emacs. Full text available.

Message received at 24560 <at> debbugs.gnu.org:


Received: (at 24560) by debbugs.gnu.org; 8 Oct 2016 13:07:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 08 09:07:39 2016
Received: from localhost ([127.0.0.1]:48355 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bsrLn-00070q-KM
	for submit <at> debbugs.gnu.org; Sat, 08 Oct 2016 09:07:39 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41347)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bsrLm-00070e-MM
 for 24560 <at> debbugs.gnu.org; Sat, 08 Oct 2016 09:07:39 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bsrLg-0000YY-7t
 for 24560 <at> debbugs.gnu.org; Sat, 08 Oct 2016 09:07:33 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:46750)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bsrLc-0000X1-7J; Sat, 08 Oct 2016 09:07:28 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2679
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bsrLa-0004F5-L4; Sat, 08 Oct 2016 09:07:27 -0400
Date: Sat, 08 Oct 2016 16:07:34 +0300
Message-Id: <83y41zgfah.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Kenichi Handa <handa@HIDDEN>
In-reply-to: <837f9uoh9e.fsf@HIDDEN> (message from Eli Zaretskii on Thu, 29
 Sep 2016 18:30:37 +0300)
Subject: Re: bug#24560: 25.1;
 With `--font 7x13', wrong font is used for Unicode characters
References: <87zims7zlk.fsf@HIDDEN> <83shsjok4l.fsf@HIDDEN>
 <6d2acac2-1134-9182-34c1-b76448872e0b@HIDDEN>
 <837f9uoh9e.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.7 (-------)
X-Debbugs-Envelope-To: 24560
Cc: 24560 <at> debbugs.gnu.org, thecybershadow@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.7 (-------)

Ping!

> Date: Thu, 29 Sep 2016 18:30:37 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 24560 <at> debbugs.gnu.org
> 
> Adding Handa-san to this discussion, in the hope that he could shed
> some light on this issue.
> 
> > From: Vladimir Panteleev <thecybershadow@HIDDEN>
> > Cc: 24560 <at> debbugs.gnu.org
> > Date: Wed, 28 Sep 2016 21:58:20 +0000
> > 
> > On 2016-09-28 20:16, Eli Zaretskii wrote:
> > > Are you sure the 7x13 font installed on your system supports all those
> > > characters?  Emacs won't switch to a different font if the default
> > > font supports the character it needs to display.
> > 
> > As I mentioned in my bug report and as is visible in the screenshots,
> > the characters are indeed present in the font and are rendered correctly
> > in other applications. Only Emacs exhibits this problem.
> > 
> > > Or could it be that some customizations, either yours or site-wide,
> > > force Emacs to use other fonts for the above characters?
> > 
> > This problem is reproducible with "emacs -Q", without any
> > customizations, on all distributions I've tried.
> 
> Then I guess there's some factor at work here that I don't quite
> figure out.  Maybe the Emacs font selection algorithm doesn't like
> that font for some reason?
> 
> If you start Emacs with 12x13 font or 8x13, does Emacs display more
> characters than 7x13 before it switches to another font?
> 
> > Here is a complete recipe using a live CD, to remove any possibility of
> > user or site customization:
> > 
> > 1. Get the Antergos live ISO (
> > https://antergos.com/download/antergos-live-iso/ ) and boot from it
> > (e.g. in a VM).
> > 2. Choose "Start Antergos live".
> > 3. Choose "Try It".
> > 4. Install Emacs and urxvt (in a terminal, run "pacman -S emacs
> > rxvt-unicode").
> > 5. Run "emacs -Q --font 7x13".
> > 6. M-x view-hello-file
> > 7. Observe that Cyrillic characters are rendered in a 12x13 font.
> > 8. Run "urxvt -fn 7x13".
> > 9. Copy some Cyrillic characters from Emacs and paste them in urxvt.
> > 10. Observe that urxvt renders the Cyrillic characters correctly, in the
> > correct font.
> > 
> > This is not specific to Arch / Antegros: The problem is also
> > reproducible on Ubuntu and Fedora Workstation Live CDs, though you may
> > have to also install some font packages (xorg-x11-fonts-misc for
> > Fedora), and Emacs uses the 8x13 font for Cyrillic characters (so the
> > problem is less obvious). urxvt still uses the correct font there.
> > 
> > >> I have found that evaluating the Sexpr:
> > >>
> > >> (set-fontset-font "fontset-default" 'unicode "-misc-fixed-*-*-*--13-*-*-*-*-70-iso10646-1")
> > >>
> > > 
> > > Don't do that, this setting will cause all kinds of surprises.  To
> > > customize the fonts, use specific character codepoint ranges, and only
> > > specify font for a range if the font support most or all of that
> > > range.
> > 
> > Noted. However, immediately lacking a better concrete workaround, I
> > don't have a better option at my disposal.
> 
> Hopefully, Handa-san will have some advice here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24560; Package emacs. Full text available.

Message received at 24560 <at> debbugs.gnu.org:


Received: (at 24560) by debbugs.gnu.org; 29 Sep 2016 16:33:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 29 12:33:22 2016
Received: from localhost ([127.0.0.1]:38956 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bpeGw-0000ZO-3n
	for submit <at> debbugs.gnu.org; Thu, 29 Sep 2016 12:33:22 -0400
Received: from mail-wm0-f46.google.com ([74.125.82.46]:37543)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thecybershadow@HIDDEN>) id 1bpeGu-0000Z2-7p
 for 24560 <at> debbugs.gnu.org; Thu, 29 Sep 2016 12:33:20 -0400
Received: by mail-wm0-f46.google.com with SMTP id b130so142893565wmc.0
 for <24560 <at> debbugs.gnu.org>; Thu, 29 Sep 2016 09:33:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=rjpmHBb35ujiiFgFSNUeIGC0FH6K8Ivsueob6pkgW/c=;
 b=Lvaz8Eu/gkxwvxR7EyIVDyeHONuIzZGyM+XZQ+uftCibJP4pz2qfaO2bbE978dtfRQ
 SEeeCUrRJSxHQKhNdgRZCbe4ZpTl+IR3LYQLFuIby4IbYJpSoUVZeqK5nOxMXMs0TuSv
 YzLmHmZ3EIHRvRQX8TznXcYYn8O6WZ2gGzCIuvLkGVuZQ2P/G1yG3IEWe5LeoaVYweEP
 d2dR5QcAIbGd7vZdSB5LGmDYOUQ6ZH+IrFVm0nUCnbAi5T2agG/KK15FHJ3AL4PopAy0
 uS+ebtjM/rUJq+r7Q8K3EqddyDc+jpBJGj4sNtpgdx5Me9FX5kyr3L/+2JN3VQIuZCp3
 FC/w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:subject:to:references:cc:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=rjpmHBb35ujiiFgFSNUeIGC0FH6K8Ivsueob6pkgW/c=;
 b=gPLjnYuQbfuckMOnIjRuVh7FobfQZUIe4eEt3S0Ts62wI3F5oEVXRRik9GFqwhvuYA
 j4sMcvKTCh0aEaFQBXANS7vSs9h/WkP/SF2QWbmNsEeQX+0j5cK+1xDy+y81R55laW9f
 fvswGwikdcKXKeEJGx8nrqnTDOZW6B7s6MACmg9v3bnp11DmWWugYrHSIHLClrvOqz86
 Ar0htN3TH+457zJGAnWU/ffbSMHOPro8sA20hzEOf9IdYe0ae/Hq6glDNKmPOiD+sw6w
 c9SP1W/UHiE1GnuAKrpJp22XMuuKBDNRYPevUKhJDkbfjlYToY6doOZD6O5WeIDYGHVl
 8Edw==
X-Gm-Message-State: AA6/9RlFGP5WqMi5twu8dC7V0oLDeuXwAp36yDYu6o12cTaBcaNqkngW79mvyKH6GKn7WQ==
X-Received: by 10.194.188.113 with SMTP id fz17mr2679020wjc.179.1475166794452; 
 Thu, 29 Sep 2016 09:33:14 -0700 (PDT)
Received: from home.thecybershadow.net ([89.28.117.31])
 by smtp.gmail.com with ESMTPSA id z17sm15416821wmz.23.2016.09.29.09.33.13
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 29 Sep 2016 09:33:13 -0700 (PDT)
Subject: Re: bug#24560: 25.1; With `--font 7x13', wrong font is used for
 Unicode characters
To: Eli Zaretskii <eliz@HIDDEN>, Kenichi Handa <handa@HIDDEN>
References: <87zims7zlk.fsf@HIDDEN> <83shsjok4l.fsf@HIDDEN>
 <6d2acac2-1134-9182-34c1-b76448872e0b@HIDDEN>
 <837f9uoh9e.fsf@HIDDEN>
From: Vladimir Panteleev <thecybershadow@HIDDEN>
Message-ID: <bca92f83-a3d2-786b-5da7-fbfa6f8ce3e1@HIDDEN>
Date: Thu, 29 Sep 2016 16:33:12 +0000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.3.0
MIME-Version: 1.0
In-Reply-To: <837f9uoh9e.fsf@HIDDEN>
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 24560
Cc: 24560 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On 2016-09-29 15:30, Eli Zaretskii wrote:
> If you start Emacs with 12x13 font or 8x13, does Emacs display more
> characters than 7x13 before it switches to another font?

On my system, with `--font 8x13', I still see Cyrillic characters
rendered in 12x13.

Curiously, `--font 12x13' doesn't work (Emacs prints "Font 12x13 is
not defined"). The only font matching that metric is
"-misc-fixed-medium-r-normal-ja-13-120-75-75-c-120-iso10646-1", I can
only guess that Emacs doesn't match it because its "adstyl" field is
"ja". With `--font "-*-*-*-*-*-*-13-*-*-*-*-120-*-*"', Emacs starts with
an evidently-fallback proportional font, not sure which one (possibly
Bitstream Vera Serif), however it does use the 12x13 bitmap font with
`--font "-misc-*-*-*-*-*-13-*-*-*-*-120-*-*"'.

Here are some screenshots:

https://dump.v.panteleev.md/a4234287449583e2b5a7152437ac5504/screenshot.png
https://dump.v.panteleev.md/61757322edb41551e1ffa7ccc3941719/screenshot.png
https://dump.v.panteleev.md/3b989295b09073b22dddd823d431bc64/screenshot.png

To answer your question: It is difficult to say since it's clear that
some characters only appear in some fonts, but at the very least,
Cyrillic characters are always rendered at 12x13 with the fonts I tried.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24560; Package emacs. Full text available.

Message received at 24560 <at> debbugs.gnu.org:


Received: (at 24560) by debbugs.gnu.org; 29 Sep 2016 15:31:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 29 11:31:18 2016
Received: from localhost ([127.0.0.1]:38923 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bpdIp-0006Nu-FI
	for submit <at> debbugs.gnu.org; Thu, 29 Sep 2016 11:31:18 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53787)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bpdIk-0006NU-Tn
 for 24560 <at> debbugs.gnu.org; Thu, 29 Sep 2016 11:31:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bpdIb-0007nY-64
 for 24560 <at> debbugs.gnu.org; Thu, 29 Sep 2016 11:31:05 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.2 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49632)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bpdIV-0007i7-LL; Thu, 29 Sep 2016 11:30:55 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1961
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bpdIR-00027I-0z; Thu, 29 Sep 2016 11:30:55 -0400
Date: Thu, 29 Sep 2016 18:30:37 +0300
Message-Id: <837f9uoh9e.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Vladimir Panteleev <thecybershadow@HIDDEN>,
 Kenichi Handa <handa@HIDDEN>
In-reply-to: <6d2acac2-1134-9182-34c1-b76448872e0b@HIDDEN> (message from
 Vladimir Panteleev on Wed, 28 Sep 2016 21:58:20 +0000)
Subject: Re: bug#24560: 25.1; With `--font 7x13', wrong font is used for
 Unicode characters
References: <87zims7zlk.fsf@HIDDEN> <83shsjok4l.fsf@HIDDEN>
 <6d2acac2-1134-9182-34c1-b76448872e0b@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.0 (--------)
X-Debbugs-Envelope-To: 24560
Cc: 24560 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.0 (--------)

Adding Handa-san to this discussion, in the hope that he could shed
some light on this issue.

> From: Vladimir Panteleev <thecybershadow@HIDDEN>
> Cc: 24560 <at> debbugs.gnu.org
> Date: Wed, 28 Sep 2016 21:58:20 +0000
> 
> On 2016-09-28 20:16, Eli Zaretskii wrote:
> > Are you sure the 7x13 font installed on your system supports all those
> > characters?  Emacs won't switch to a different font if the default
> > font supports the character it needs to display.
> 
> As I mentioned in my bug report and as is visible in the screenshots,
> the characters are indeed present in the font and are rendered correctly
> in other applications. Only Emacs exhibits this problem.
> 
> > Or could it be that some customizations, either yours or site-wide,
> > force Emacs to use other fonts for the above characters?
> 
> This problem is reproducible with "emacs -Q", without any
> customizations, on all distributions I've tried.

Then I guess there's some factor at work here that I don't quite
figure out.  Maybe the Emacs font selection algorithm doesn't like
that font for some reason?

If you start Emacs with 12x13 font or 8x13, does Emacs display more
characters than 7x13 before it switches to another font?

> Here is a complete recipe using a live CD, to remove any possibility of
> user or site customization:
> 
> 1. Get the Antergos live ISO (
> https://antergos.com/download/antergos-live-iso/ ) and boot from it
> (e.g. in a VM).
> 2. Choose "Start Antergos live".
> 3. Choose "Try It".
> 4. Install Emacs and urxvt (in a terminal, run "pacman -S emacs
> rxvt-unicode").
> 5. Run "emacs -Q --font 7x13".
> 6. M-x view-hello-file
> 7. Observe that Cyrillic characters are rendered in a 12x13 font.
> 8. Run "urxvt -fn 7x13".
> 9. Copy some Cyrillic characters from Emacs and paste them in urxvt.
> 10. Observe that urxvt renders the Cyrillic characters correctly, in the
> correct font.
> 
> This is not specific to Arch / Antegros: The problem is also
> reproducible on Ubuntu and Fedora Workstation Live CDs, though you may
> have to also install some font packages (xorg-x11-fonts-misc for
> Fedora), and Emacs uses the 8x13 font for Cyrillic characters (so the
> problem is less obvious). urxvt still uses the correct font there.
> 
> >> I have found that evaluating the Sexpr:
> >>
> >> (set-fontset-font "fontset-default" 'unicode "-misc-fixed-*-*-*--13-*-*-*-*-70-iso10646-1")
> >>
> > 
> > Don't do that, this setting will cause all kinds of surprises.  To
> > customize the fonts, use specific character codepoint ranges, and only
> > specify font for a range if the font support most or all of that
> > range.
> 
> Noted. However, immediately lacking a better concrete workaround, I
> don't have a better option at my disposal.

Hopefully, Handa-san will have some advice here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24560; Package emacs. Full text available.

Message received at 24560 <at> debbugs.gnu.org:


Received: (at 24560) by debbugs.gnu.org; 28 Sep 2016 21:58:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 28 17:58:29 2016
Received: from localhost ([127.0.0.1]:38267 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bpMs1-00026n-9c
	for submit <at> debbugs.gnu.org; Wed, 28 Sep 2016 17:58:29 -0400
Received: from mail-wm0-f53.google.com ([74.125.82.53]:37207)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thecybershadow@HIDDEN>) id 1bpMs0-00026a-2L
 for 24560 <at> debbugs.gnu.org; Wed, 28 Sep 2016 17:58:28 -0400
Received: by mail-wm0-f53.google.com with SMTP id b130so96058010wmc.0
 for <24560 <at> debbugs.gnu.org>; Wed, 28 Sep 2016 14:58:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=subject:to:references:from:cc:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=kxKzjZ575G2MLW5quIBreoKVyHp8erN1zoD/VgLblBs=;
 b=Drlrane1k03u5IUuvFsZmp9DQjnb1a/jFrFAa9y9Y/8eSy4cPq5wd6yO8MhroIGK6G
 8BX62KmwwTlwiSwXWd+9BVhmikRNwtAjv1V0bE7F5PvOiKwIC7HG9ac0stlEomTuxvf3
 aQOkaV9vyFd9h29HPTaUadbHFvFihpU/qiGGI8egqhDx6rC5ZUEwUxI5mHn9VIT74TmB
 Weme15+3dCXY+dWNNJvSXpgAtB7mspXWZ4r8Lk2sHAeANpRdD/aGWRyNSVksOaXiEZhE
 AKG9vwNx2bfySvIw2LrCOfixMV0RlLFfiUCu45h2MvSnuQLXN5T7eTdZnVQJlrAp1x3K
 /68g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:subject:to:references:from:cc:message-id:date
 :user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=kxKzjZ575G2MLW5quIBreoKVyHp8erN1zoD/VgLblBs=;
 b=JSnVG2IPBpVayWxKYcWytfxpDwx/p3/isnmiR+0/U2zwMug7ZZALg8JCLolovGQyv0
 LmSK/jVV0HLMwsUImWUjw1Vc1KJwLMw1QDGnX0pnLGPGJXHtk+8st+09jsSdqRUUJR0/
 GuXIWBPeGgQ8mqb0r7niSRwugyHLxYHnvG+tSen8zujBB/Ft/pJChMRRMaY7UthzeNFZ
 aBIYFNaedq0lYNOPWNjb8OMcINsEyUupnEvqy/U2iY+wuJ3hVt4ZPe6HmkbHJ6W6ju78
 fctB255c+cLimkgxCYxsGvo8aTiZFw61Peu6W1jW6jWF7sDol7nYWHe65nwv4uRol4jc
 JEDw==
X-Gm-Message-State: AA6/9RmHQDuQVVZkt7caKcMySNcO88/hwS5usXqzfKjmgjuG/KPbLJMOIJNlnhcUXVSagQ==
X-Received: by 10.28.92.71 with SMTP id q68mr9559454wmb.85.1475099902202;
 Wed, 28 Sep 2016 14:58:22 -0700 (PDT)
Received: from home.thecybershadow.net ([89.28.117.31])
 by smtp.gmail.com with ESMTPSA id r195sm11000878wme.10.2016.09.28.14.58.21
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 28 Sep 2016 14:58:21 -0700 (PDT)
Subject: Re: bug#24560: 25.1; With `--font 7x13', wrong font is used for
 Unicode characters
To: Eli Zaretskii <eliz@HIDDEN>
References: <87zims7zlk.fsf@HIDDEN> <83shsjok4l.fsf@HIDDEN>
From: Vladimir Panteleev <thecybershadow@HIDDEN>
Message-ID: <6d2acac2-1134-9182-34c1-b76448872e0b@HIDDEN>
Date: Wed, 28 Sep 2016 21:58:20 +0000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.3.0
MIME-Version: 1.0
In-Reply-To: <83shsjok4l.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 24560
Cc: 24560 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On 2016-09-28 20:16, Eli Zaretskii wrote:
> Are you sure the 7x13 font installed on your system supports all those
> characters?  Emacs won't switch to a different font if the default
> font supports the character it needs to display.

As I mentioned in my bug report and as is visible in the screenshots,
the characters are indeed present in the font and are rendered correctly
in other applications. Only Emacs exhibits this problem.

> Or could it be that some customizations, either yours or site-wide,
> force Emacs to use other fonts for the above characters?

This problem is reproducible with "emacs -Q", without any
customizations, on all distributions I've tried.

Here is a complete recipe using a live CD, to remove any possibility of
user or site customization:

1. Get the Antergos live ISO (
https://antergos.com/download/antergos-live-iso/ ) and boot from it
(e.g. in a VM).
2. Choose "Start Antergos live".
3. Choose "Try It".
4. Install Emacs and urxvt (in a terminal, run "pacman -S emacs
rxvt-unicode").
5. Run "emacs -Q --font 7x13".
6. M-x view-hello-file
7. Observe that Cyrillic characters are rendered in a 12x13 font.
8. Run "urxvt -fn 7x13".
9. Copy some Cyrillic characters from Emacs and paste them in urxvt.
10. Observe that urxvt renders the Cyrillic characters correctly, in the
correct font.

This is not specific to Arch / Antegros: The problem is also
reproducible on Ubuntu and Fedora Workstation Live CDs, though you may
have to also install some font packages (xorg-x11-fonts-misc for
Fedora), and Emacs uses the 8x13 font for Cyrillic characters (so the
problem is less obvious). urxvt still uses the correct font there.

>> I have found that evaluating the Sexpr:
>>
>> (set-fontset-font "fontset-default" 'unicode "-misc-fixed-*-*-*--13-*-*-*-*-70-iso10646-1")
>>
> 
> Don't do that, this setting will cause all kinds of surprises.  To
> customize the fonts, use specific character codepoint ranges, and only
> specify font for a range if the font support most or all of that
> range.

Noted. However, immediately lacking a better concrete workaround, I
don't have a better option at my disposal.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24560; Package emacs. Full text available.

Message received at 24560 <at> debbugs.gnu.org:


Received: (at 24560) by debbugs.gnu.org; 28 Sep 2016 20:16:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 28 16:16:43 2016
Received: from localhost ([127.0.0.1]:38201 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bpLHX-0006Zf-Lt
	for submit <at> debbugs.gnu.org; Wed, 28 Sep 2016 16:16:43 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38750)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bpLHW-0006ZQ-UR
 for 24560 <at> debbugs.gnu.org; Wed, 28 Sep 2016 16:16:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bpLHO-0002vS-Jv
 for 24560 <at> debbugs.gnu.org; Wed, 28 Sep 2016 16:16:37 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.2 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35887)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bpLHO-0002vF-Fe; Wed, 28 Sep 2016 16:16:34 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1347
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bpLHM-0005aL-FE; Wed, 28 Sep 2016 16:16:34 -0400
Date: Wed, 28 Sep 2016 23:16:26 +0300
Message-Id: <83shsjok4l.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Vladimir Panteleev <thecybershadow@HIDDEN>
In-reply-to: <87zims7zlk.fsf@HIDDEN> (message from Vladimir
 Panteleev on Wed, 28 Sep 2016 16:34:15 +0000)
Subject: Re: bug#24560: 25.1;
 With `--font 7x13', wrong font is used for Unicode characters
References: <87zims7zlk.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.0 (--------)
X-Debbugs-Envelope-To: 24560
Cc: 24560 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.0 (--------)

> From: Vladimir Panteleev <thecybershadow@HIDDEN>
> Date: Wed, 28 Sep 2016 16:34:15 +0000
> 
> On a GNU/Linux system running X.Org, if Emacs is set to use the X11
> fixed font 7x13 (e.g. by specifying `--font 7x13' on the command line),
> Emacs will use the incorrect font for Unicode (non-ASCII)
> characters. Specifically:
> 
> - US-ASCII characters are rendered using the correct font.
> 
> - Cyrillic (e.g. letters of the Russian alphabet) and some other
>   characters (e.g. '¢' (CENT SIGN)) are rendered with the 12x13 font
>   instead of the indicated 7x13 font.
> 
> - Some characters, e.g. '·' (MIDDLE DOT) and '»' (RIGHT-POINTING DOUBLE
>   ANGLE QUOTATION MARK) are rendered with an 8x13 font. This causes
>   enabling whitespace-mode to misalign text.

Are you sure the 7x13 font installed on your system supports all those
characters?  Emacs won't switch to a different font if the default
font supports the character it needs to display.

Or could it be that some customizations, either yours or site-wide,
force Emacs to use other fonts for the above characters?

> I have found that evaluating the Sexpr:
> 
> (set-fontset-font "fontset-default" 'unicode "-misc-fixed-*-*-*--13-*-*-*-*-70-iso10646-1")
> 

Don't do that, this setting will cause all kinds of surprises.  To
customize the fonts, use specific character codepoint ranges, and only
specify font for a range if the font support most or all of that
range.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24560; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Sep 2016 17:31:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 28 13:31:04 2016
Received: from localhost ([127.0.0.1]:38128 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bpIhD-0002hS-1f
	for submit <at> debbugs.gnu.org; Wed, 28 Sep 2016 13:31:04 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57914)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thecybershadow@HIDDEN>) id 1bpHoy-0001Lw-3f
 for submit <at> debbugs.gnu.org; Wed, 28 Sep 2016 12:35:01 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <thecybershadow@HIDDEN>) id 1bpHop-0000Lk-Js
 for submit <at> debbugs.gnu.org; Wed, 28 Sep 2016 12:34:55 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:38619)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <thecybershadow@HIDDEN>) id 1bpHop-0000LY-GR
 for submit <at> debbugs.gnu.org; Wed, 28 Sep 2016 12:34:51 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:48867)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <thecybershadow@HIDDEN>) id 1bpHol-0006Fv-UY
 for bug-gnu-emacs@HIDDEN; Wed, 28 Sep 2016 12:34:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <thecybershadow@HIDDEN>) id 1bpHoe-0000Hv-Lt
 for bug-gnu-emacs@HIDDEN; Wed, 28 Sep 2016 12:34:46 -0400
Received: from mail-wm0-x236.google.com ([2a00:1450:400c:c09::236]:36283)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <thecybershadow@HIDDEN>) id 1bpHoe-0000Hb-CX
 for bug-gnu-emacs@HIDDEN; Wed, 28 Sep 2016 12:34:40 -0400
Received: by mail-wm0-x236.google.com with SMTP id w84so245217276wmg.1
 for <bug-gnu-emacs@HIDDEN>; Wed, 28 Sep 2016 09:34:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=pn5fI1DakdSBpBQB7+ml6P9SCSBjZ7kwqwS1y2SCXeI=;
 b=vLRV3eMiYpsFaGMU2lKKxbgFeqgoABx5WXlNM/Wl1rE0uRGSieaSeGIbRZxW6D0mSf
 xSYvxThoV5CXu0jYt/7eM/SGTK5bfPVYFmS96p2vDKVScWLtpQrXBHsLDFpQUdAWrfon
 sSsnwa+5u0fbjz4KDac9/OFcJgWLetcP4MCXE+gAxTjhudjH9mtw/cd90fpwMGkhMr8u
 qpVF7vs78bNwzInNlNEO1owL1LHz9pyiyERWU1bHCISxTDsujzZ3V4iGSQMRZrYJswxN
 yLSRtB3GCt7ssjwzf0x4r96jVHQCNFDY1Z1lVCVplgytFF5pgsmxVFChDGwxywfjeRie
 jVaQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=pn5fI1DakdSBpBQB7+ml6P9SCSBjZ7kwqwS1y2SCXeI=;
 b=V2xr0WHVO5k35jna8c0K124T6wuTqXxsY/8iTARWqnrDOHG34BRrjcWpvKg2+TPr3m
 nKTMFA/31Rvf5Oa+J4GQKA0aqBrGI36eEeglmb9w4X1D5rEAF9MmOtpIBu6ReE4au/Nc
 jSPgf2iLlQg72M8sG7uYr9dwUbxy11hKjYvcxgSwNDyUP8sUweNwLVnFQhuLrvbWDJkH
 tIyyKF+eTtmI44rWWPSHBC+z8PcgeSlgvgzMxnUch5psex4AhzGyCq50VWMU4QtsbHOW
 qIyjIPnbc1wfOkU7q4pTwslr1t/AiYof+/CmA3erMmidqD23u7XOXWRbr9tHCLK/0/Xb
 V4bw==
X-Gm-Message-State: AA6/9RmcBbYI3h7EnHCKKEZ3h45U9gOQvf/hQPJdEnJusYDr7eur3Ysn4qmAMqxzw8hCBQ==
X-Received: by 10.194.96.197 with SMTP id du5mr14440011wjb.184.1475080478917; 
 Wed, 28 Sep 2016 09:34:38 -0700 (PDT)
Received: from home.thecybershadow.net ([89.28.117.31])
 by smtp.gmail.com with ESMTPSA id n7sm9623018wmf.18.2016.09.28.09.34.37
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 28 Sep 2016 09:34:37 -0700 (PDT)
From: Vladimir Panteleev <thecybershadow@HIDDEN>
X-Google-Original-From: Vladimir Panteleev <emacs@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.1; With `--font 7x13', wrong font is used for Unicode characters
Date: Wed, 28 Sep 2016 16:34:15 +0000
Message-ID: <87zims7zlk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 28 Sep 2016 13:31:01 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

On a GNU/Linux system running X.Org, if Emacs is set to use the X11
fixed font 7x13 (e.g. by specifying `--font 7x13' on the command line),
Emacs will use the incorrect font for Unicode (non-ASCII)
characters. Specifically:

- US-ASCII characters are rendered using the correct font.

- Cyrillic (e.g. letters of the Russian alphabet) and some other
  characters (e.g. '=C2=A2' (CENT SIGN)) are rendered with the 12x13 font
  instead of the indicated 7x13 font.

- Some characters, e.g. '=C2=B7' (MIDDLE DOT) and '=C2=BB' (RIGHT-POINTING =
DOUBLE
  ANGLE QUOTATION MARK) are rendered with an 8x13 font. This causes
  enabling whitespace-mode to misalign text.

Screenshots can be seen here:

http://emacs.stackexchange.com/questions/20278/unicode-in-x-bitmap-font-use=
s-a-different-font

I have found that evaluating the Sexpr:

(set-fontset-font "fontset-default" 'unicode "-misc-fixed-*-*-*--13-*-*-*-*=
-70-iso10646-1")

... causes characters with Unicode codepoints above 256 (incl. Cyrillic
characters) to be rendered with the correct font, but not those in the
codepoint range 128-255. Running set-fontset-font with '(128 . 255) as
the TARGET parameter does not seem to have any effect.

The problem can also be observed in Emacs version 24.5.  Other graphical
applications on the same system using this font do not exhibit this
behavior.

-----------------------------------------------------------------------

In GNU Emacs 25.1.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.20.9)
 of 2016-09-18 built on juergen
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description:	Arch Linux

Configured using:
 'configure --prefix=3D/usr --sysconfdir=3D/etc --libexecdir=3D/usr/lib
 --localstatedir=3D/var --with-x-toolkit=3Dgtk3 --with-xft
 'CFLAGS=3D-march=3Dx86-64 -mtune=3Dgeneric -O2 -pipe
 -fstack-protector-strong' CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2
 LDFLAGS=3D-Wl,-O1,--sort-common,--as-needed,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
  value of $LC_TIME: en_DK.UTF-8
  value of $LANG: en_US.UTF8
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  global-semanticdb-minor-mode: t
  global-semantic-idle-scheduler-mode: t
  semantic-mode: t
  which-key-mode: t
  flyspell-mode: t
  cua-mode: t
  magit-auto-revert-mode: t
  global-git-commit-mode: t
  global-diff-hl-mode: t
  diff-hl-mode: t
  diff-auto-refine-mode: t
  delete-selection-mode: t
  global-flycheck-mode: t
  flycheck-mode: t
  global-company-mode: t
  company-mode: t
  highlight-defined-mode: t
  recentf-mode: t
  highlight-symbol-mode: t
  helm-mode: t
  shell-dirtrack-mode: t
  async-bytecomp-package-mode: t
  show-paren-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Mark set [4 times]
next-line: End of buffer [69 times]
Mark set [3 times]
previous-line: Beginning of buffer [59 times]
You should have a section marked ";;; Commentary:"

The first line should be of the form: ";;; package --- Summary"
Undo! [25 times]
Saving file /home/vladimir/.emacs.d/recentf...
Wrote /home/vladimir/.emacs.d/recentf

Load-path shadows:
/home/vladimir/.emacs.d/opt/bbcode-mode/bbcode-mode hides /home/vladimir/.e=
macs.d/elpa/bbcode-mode-20141103.1341/bbcode-mode
/home/vladimir/.emacs.d/opt/cil-mode/cil-mode hides /home/vladimir/.emacs.d=
/elpa/cil-mode-20160622.730/cil-mode
/home/vladimir/.emacs.d/opt/company-dcd/company-dcd hides /home/vladimir/.e=
macs.d/elpa/company-dcd-20160806.1852/company-dcd
/home/vladimir/.emacs.d/opt/Emacs-D-Mode/d-mode hides /home/vladimir/.emacs=
.d/elpa/d-mode-20160504.955/d-mode
/home/vladimir/.emacs.d/elpa/editorconfig-20160904.1508/editorconfig-core h=
ides /home/vladimir/.emacs.d/elpa/editorconfig-core-20160212.106/editorconf=
ig-core
/home/vladimir/.emacs.d/elpa/editorconfig-20160904.1508/editorconfig-core-h=
andle hides /home/vladimir/.emacs.d/elpa/editorconfig-core-20160212.106/edi=
torconfig-core-handle
/home/vladimir/.emacs.d/elpa/editorconfig-20160904.1508/editorconfig-fnmatc=
h hides /home/vladimir/.emacs.d/elpa/editorconfig-fnmatch-20160212.106/edit=
orconfig-fnmatch
/home/vladimir/.emacs.d/opt/flycheck/flycheck hides /home/vladimir/.emacs.d=
/elpa/flycheck-20160921.227/flycheck
/home/vladimir/.emacs.d/opt/flycheck/flycheck-ert hides /home/vladimir/.ema=
cs.d/elpa/flycheck-20160921.227/flycheck-ert
/home/vladimir/.emacs.d/opt/flycheck/flycheck-buttercup hides /home/vladimi=
r/.emacs.d/elpa/flycheck-20160921.227/flycheck-buttercup
/home/vladimir/.emacs.d/opt/pov-mode/pov-mode hides /home/vladimir/.emacs.d=
/elpa/pov-mode-20120825.716/pov-mode
/home/vladimir/.emacs.d/opt/pov-mode/pov-mode-pkg hides /home/vladimir/.ema=
cs.d/elpa/pov-mode-20120825.716/pov-mode-pkg
/home/vladimir/.emacs.d/elpa/seq-2.16/seq hides /usr/share/emacs/25.1/lisp/=
emacs-lisp/seq

Features:
(shadow mail-extr emacsbug sendmail semantic/tag-write org org-macro
org-footnote org-pcomplete org-list org-faces org-entities org-version
ob-emacs-lisp ob ob-tangle ob-ref ob-lob ob-table ob-exp org-src ob-keys
ob-comint ob-core ob-eval org-compat org-macs org-loaddefs cal-menu
calendar cal-loaddefs semantic/edit semantic/db-typecache semantic/ia
semantic/senator semantic/tag-file semantic/db-file data-debug
cedet-files semantic/bovine/c semantic/decorate/include
semantic/decorate/mode semantic/decorate pulse hideif
semantic/bovine/c-by semantic/lex-spp semantic/bovine/gcc semantic/dep
semantic/bovine semantic/analyze/refs semantic/db-find semantic/db-ref
semantic/analyze semantic/sort semantic/scope semantic/analyze/fcn
semantic/db-mode semantic/db eieio-base semantic/idle semantic/format
ezimage semantic/tag-ls semantic/ctxt magit-extras linum gitignore-mode
conf-mode rect graphviz-dot-mode sort helm-command helm-elisp helm-eval
edebug helm-git-grep semantic/find helm-semantic helm-imenu imenu
semantic/util-modes semantic/util semantic semantic/tag semantic/lex
semantic/fw mode-local cedet pkgbuild-mode sh-script smie executable
d-mode derived cc-langs disp-table whitespace misearch multi-isearch
winner filecache ido copyright vc-git company-oddmuse company-keywords
company-etags etags xref project company-gtags company-dabbrev-code
company-dabbrev company-files company-capf company-cmake company-xcode
company-clang company-semantic company-eclim company-template
company-css company-nxml company-bbdb which-key my-stuff face-remap
my-keys smartparens-python python markdown-mode noutline outline
make-mode mediawiki url-cache mm-url gnus gnus-ems nnheader url-http tls
gnutls url-auth url-gw flyspell ispell move-text cua-base
my-persistent-selection my-prefs magit-blame magit-stash magit-bisect
magit-remote magit-commit magit-sequence magit magit-apply magit-wip
magit-log magit-diff smerge-mode magit-core magit-autorevert autorevert
filenotify magit-process magit-popup magit-mode magit-git crm
magit-section magit-utils git-commit log-edit message idna rfc822 mml
mml-sec epg mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047
rfc2045 ietf-drums mailabbrev mail-utils gmm-utils mailheader pcvs-util
add-log with-editor tramp-sh smart-tabs-mode cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs projectile
grep ibuf-ext ibuffer diff-hl vc-dir ewoc vc vc-dispatcher diff-mode
company-dcd ivy lv delsel popwin flycheck-dmd-dub f s flycheck find-func
subr-x json map yasnippet company highlight-defined cil-mode
smartparens-config smartparens dash recentf tree-widget wid-edit
highlight-symbol smart-mode-line-dark-theme smart-mode-line
rich-minority helm-mode helm-files rx image-dired tramp tramp-compat
tramp-loaddefs trampver ucs-normalize shell pcomplete format-spec
dired-x dired-aux ffap thingatpt helm-buffers helm-elscreen helm-tags
helm-bookmark helm-adaptive helm-info bookmark pp helm-locate helm-grep
helm-regexp helm-external helm-net browse-url xml url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util url-parse auth-source gnus-util mm-util help-fns mail-prsvr
password-cache url-vars mailcap helm-utils compile comint ansi-color
ring helm-help helm-types helm easy-mmode helm-source eieio-compat eieio
eieio-core helm-multi-match helm-lib dired helm-config helm-easymenu
async-bytecomp advice async saveplace my-recent my-packages my-server
server time-date deeper-blue-theme paren cus-start cus-load finder-inf
edmacro kmacro cl-seq cl-macs cl info package epg-config seq byte-opt gv
bytecomp byte-compile cl-extra help-mode easymenu cconv cl-loaddefs
pcase cl-lib mule-util tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel x-win term/common-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame
cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese charscript
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 858192 556079)
 (symbols 48 60675 15)
 (miscs 40 3397 8168)
 (strings 32 187937 240917)
 (string-bytes 1 5200713)
 (vectors 16 104156)
 (vector-slots 8 2151017 320756)
 (floats 8 805 1255)
 (intervals 56 10754 21079)
 (buffers 976 71))




Acknowledgement sent to Vladimir Panteleev <thecybershadow@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24560; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.